%define major 1
%define libname %mklibname tommath %{major}
%define devname %mklibname tommath -d

Summary:	Portable number theoretic multiple-precision integer library
Name:		libtommath
Version:	1.0
Release:	1
License:	Public Domain
Group:		System/Libraries
Url:		http://www.libtom.org/LibTomMath/
Source0:	https://github.com/libtom/%{name}/%{name}-%{version}.tar.gz
Patch0:		libtommath-1.0-optflags.patch
BuildRequires:	libtool

%description
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Portable number theoretic multiple-precision integer library
Group:		System/Libraries

%description -n %{libname}
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%files -n %{libname}
%doc LICENSE
%{_libdir}/libtommath.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	tommath-devel = %{EVRD}

%description -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%dir %{_includedir}/tommath
%{_includedir}/tommath/*
%{_libdir}/*.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags}"

%make \
	INCPATH=%{_includedir}/tommath \
	LIBPATH=%{_libdir} \
	-f makefile.shared

%install
export CFLAGS="%{optflags}"

%makeinstall_std \
	INCPATH=%{_includedir}/tommath \
	LIBPATH=%{_libdir} \
	-f makefile.shared


%changelog

* Tue May 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-1
- (9ca8cf5) Build requires libtool


